@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');
*{
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

.container-InternshipForm {
  max-width: 800px;
  width: 100%;
  padding: 25px 20px 10px 20px;
  box-sizing: border-box;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
.container-InternshipForm .text-InternshipForm{
  text-align: center;
  font-size: 16px;
  font-weight: 600;
  font-family: 'Poppins', sans-serif;
  background: -webkit-linear-gradient(right, #56d8e4, #9f01ea, #56d8e4, #9f01ea);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.container-InternshipForm form{
  padding: 10px 0 0 0;
}
.container-InternshipForm form .form-row-InternshipForm {
  display: flex;
  flex-wrap: wrap;
  margin: 6px 0;
}
form .form-row-InternshipForm .input-data-InternshipForm{
  width: 100%;
  height: 40px;
  margin: 0 10px;
  position: relative;
}
form .form-row-InternshipForm .textarea-InternshipForm{
  height: 50px;
}

.input-data-InternshipForm {
  width: calc(50% - 10px); /* Two columns on larger screens */
  margin: 0 5px;
}

@media (max-width: 700px) {
  .input-data-InternshipForm {
    width: 100%; /* Full width on smaller screens */
    margin: 8px 0;
  }
}

.input-data-InternshipForm input,
.textarea-InternshipForm textarea{
  display: block;
  width: 100%;
  height: 70%;
  border: none;
  font-size: 12px;
  border-bottom: 2px solid rgba(0,0,0, 0.12);
}
.input-data-InternshipForm input:focus ~ label, .textarea-InternshipForm textarea:focus ~ label,
.input-data-InternshipForm input:valid ~ label, .textarea-InternshipForm textarea:valid ~ label{
  transform: translateY(-20px);
  font-size: 10px;
  color: #3498db;
}
.textarea-InternshipForm textarea{
  resize: none;
  padding-top: 10px;
  width: 100%;
}
.input-data-InternshipForm label{
  position: absolute;
  pointer-events: none;
  bottom: 10px;
  font-size: 12px;
  transition: all 0.3s ease;
}
.textarea-InternshipForm label{
  width: 100%;
  bottom: 40px;
  background: #fff;
}
.input-data-InternshipForm .underline-InternshipForm{
  position: absolute;
  bottom: 8;
  height: 2px;
  width: 100%;
}
.input-data-InternshipForm .underline-InternshipForm:before{
  position: absolute;
  content: "";
  height: 2px;
  width: 100%;
  background: #3498db;
  transform: scaleX(0);
  transform-origin: center;
  transition: transform 0.3s ease;
}
.input-data-InternshipForm input:focus ~ .underline-InternshipForm:before,
.input-data-InternshipForm input:valid ~ .underline-InternshipForm:before,
.textarea-InternshipForm textarea:focus ~ .underline-InternshipForm:before,
.textarea-InternshipForm textarea:valid ~ .underline-InternshipForm:before{
  transform: scale(1);
}
.submit-btn-InternshipForm .input-data-InternshipForm{
  overflow: hidden;
  height: 45px!important;
  width: 100%;
}
.submit-btn-InternshipForm .input-data-InternshipForm .inner-InternshipForm{
  height: 70%;
  width: 300%;
  position: absolute;
  left: -100%;
  background: -webkit-linear-gradient(right, #56d8e4, #9f01ea, #56d8e4, #9f01ea);
  transition: all 0.4s;
}
.submit-btn-InternshipForm .input-data-InternshipForm:hover .inner-InternshipForm{
  left: 0;
}
.submit-btn-InternshipForm .input-data-InternshipForm input{
  background: none;
  border: none;
  color: #fff;
  font-size: 17px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1px;
  cursor: pointer;
  position: relative;
  z-index: 2;
}
@media (max-width: 70px) {
  .container-InternshipForm .text-InternshipForm{
    font-size: 16px;
  }
  .container-InternshipForm form{
    padding: 10px 0 0 0;
  }
  .container-InternshipForm form .form-row-InternshipForm{
    display: block;
  }
  form .form-row-InternshipForm .input-data-InternshipForm{
    margin: 35px 0!important;
  }
  .submit-btn-InternshipForm .input-data-InternshipForm{
    width: 100%;
  }
}

/* Start of Style for Internship Certificate/Form Search Result */
table.searchResult {
            width: 50%;
            border-collapse: collapse;
            margin: 5px auto;
            border: 1px solid #ccc;
        }
th.searchResult, td.searchResult {
            border: 1px solid #ccc;
            padding: 5px;
            text-align: left;
        }
td.searchResult {
            background-color: #f2f2f2;
        }
/* End of Style for Internship Certificate/Form Search Result */

/* Start of Style for Checkbox Container */
.checkbox-container {
            margin: 10px 0;
            width: 100%;
        }
input[type="checkbox"] {
            margin-right: 10px;
        }
label .checkbox-container {
            font-size: 16px;
            color: #333;
            cursor: pointer;
        }
td .checkbox-container {
            width: 100%;
            padding: 10px; /* Adds space around content */
            vertical-align: middle; /* Centers content vertically */
        }
input[type="checkbox"]:disabled + label {
    color: #aaa; /* Disabled checkbox label color */
    cursor: not-allowed; /* Show a not-allowed cursor for disabled checkboxes */
}
/* End of Style for Checkbox Container */
